List Employments
/unified/hris/employments
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
Employee associated with this employment
13 supported2 required
The unique identifier for employees
The name of the employee
1 supported
Represents the end date of the employment
12 supported
This represents the date when the employments was updated
9 supported
Job title of the employee
10 supported
Represents the effective date of the employment
13 supported
The employee ID you want to get the employments for
1 supported
1 supported
ascdesc
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Employments
The unique identifier for employments
13 supported
This represents the date when the employments was created
9 supported
Represents the effective date of the employment
13 supported
Employee associated with this employment
13 supported
2 properties
The unique identifier for employees
The name of the employee
This represents the employment type
full_timepart_timecontractinternshiptemporarytraineevolunteerper_diem
5 supported
Represents the end date of the employment
12 supported
Represents why the employment ended
4 supported
This represents the flsa status
Job title of the employee
10 supported
This represents the pay currency
6 supported
This represents the pay frequency
7 supported
This represents the pay period
1 supported
This represents the pay rate
7 supported
Raw data returned from the remote API call.
This represents the date when the employments was updated
9 supported
curl -X GET 'https://api.truto.one/unified/hris/employments?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/hris/employments?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/employments"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'hris',
'employments',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"hris",
"employments",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())